shotwell (0.32.13-2ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (lp: #2130156). Remaining changes:
    - d/control:
      + demote libavif-gdk-pixbuf to a suggests, it's in universe
    - d/replace_thumbnailer.sh, d/shotwell-common.README.Debian,
      d/shotwell.examples, d/shotwell.postrm, d/shotwell.README.Debian:
      + clean out thumbnailer hacks, that's not user friendly and not
        something we should recommend.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 31 Oct 2025 10:18:30 +0100

shotwell (0.32.13-2) unstable; urgency=medium

  * debian/control:
    - Remove Build-Depend libxml2 (Closes: #1111632).
  * debian/copyright:
    - Remove old FSF address.
    - Add year 2025 to myself.
  * Declare compliance with Debian Policy 4.7.2.0 (No changes needed).
  
 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 20 Aug 2025 14:41:44 +0200

shotwell (0.32.13-1) unstable; urgency=medium

  * New upstream release (Closes: #1107513).
  * debian/control: Correct Vcs-Git.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 09 Jun 2025 11:47:21 +0200

shotwell (0.32.10-1ubuntu4) questing; urgency=medium

  * Drop unnecessary Build-Depends on libxml2, see #1111632

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 27 Aug 2025 17:39:09 +0000

shotwell (0.32.10-1ubuntu3) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 09:43:47 +0200

shotwell (0.32.10-1ubuntu2) plucky; urgency=medium

  * Move libjxl-gdk-pixbuf from Suggests to Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 02 Apr 2025 14:24:08 -0400

shotwell (0.32.10-1ubuntu1) plucky; urgency=medium

  * Merge with Debian (LP: #2089266). Remaining changes:
    - d/replace_thumbnailer.sh, d/shotwell-common.README.Debian,
      d/shotwell.examples, d/shotwell.postrm, d/shotwell.README.Debian:
      + clean out thumbnailer hacks, that's not user friendly and not
        something we should recommend.
  * Demote libjxl-gdk-pixbuf from Depends to Suggests
    since it's not in Ubuntu main yet

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Thu, 21 Nov 2024 09:52:15 +0100

shotwell (0.32.10-1) unstable; urgency=medium

  * New upstream release (Closes: #1078709, #1085721, #1083041).
  * debian/copyright:
    - Rewrite to make lrc happy.
      + 2 Files not changed to LGPL-2.1 because the name is LGPLv2.1-or-later.
  * Declare compliance with Debian Policy 4.7.0.1 (No changes needed).
  * debian/control:
    - Change VCS-Git from git to https.
    - Remove obsolate libgdata-dev (Closes: #1082015).

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 11 Nov 2024 17:54:18 +0100

shotwell (0.32.7-1ubuntu4) plucky; urgency=high

  [ Jens Georg ]
  * d/p/memory-leak: Extended to fix introduced crash. (LP: #2084777)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 21 Oct 2024 10:33:09 +0200

shotwell (0.32.7-1ubuntu3) oracular; urgency=high

  [ Jens Georg ]
  * d/p/memory-leak: Fix memory leak in slideshow. (lp: #2080004)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 26 Sep 2024 09:51:56 +0200

shotwell (0.32.7-1ubuntu2) oracular; urgency=medium

  * Drop libavif-gdk-pixbuf from Depends to Suggests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Jul 2024 12:13:51 -0400

shotwell (0.32.7-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/replace_thumbnailer.sh, d/shotwell-common.README.Debian,
      d/shotwell.examples, d/shotwell.postrm, d/shotwell.README.Debian:
      + clean out thumbnailer hacks, that's not user friendly and not
        something we should recommend.
  * Demote libjxl-gdk-pixbuf from Depends to Suggests
    since it's not in Ubuntu main yet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Jul 2024 11:39:11 -0400

shotwell (0.32.7-1) unstable; urgency=medium

  * New upstream release (Closes: ##1074582).
  * debian/control:
    - Add Depends (Closes: #1074575):
      + heif-gdk-pixbuf
      + heif-thumbnailer
    - Remove obsolate Build-Depend (Closes: #1074576):
      + python3-distutils
  * New debian/.gitignore.

 -- Jörg Frings-Fürst <debian@jff.email>  Tue, 02 Jul 2024 13:36:52 +0200

shotwell (0.32.6-2) unstable; urgency=medium

  * debin/control:
    - Add Depends (Closes: #1074491):
      + libavif-gdk-pixbuf
      + libjxl-gdk-pixbuf
  * debian/changelog:
    - Fix Licenses (Thanks to Phil Wyett <philip.wyett@kathenas.org>).

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 30 Jun 2024 15:18:23 +0200

shotwell (0.32.6-1ubuntu1) noble; urgency=medium

  * Merge with Debian (LP: #2062162). Remaining changes:
    - d/replace_thumbnailer.sh, d/shotwell-common.README.Debian,
      d/shotwell.examples, d/shotwell.postrm, d/shotwell.README.Debian:
      + clean out thumbnailer hacks, that's not user friendly and not
        something we should recommend.
  * Add Depends: heif-gdk-pixbuf, heif-thumbnailer (LP: #2061090)
  * Drop Build-Depends: python3-distutils

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Apr 2024 06:44:24 -0400

shotwell (0.32.6-1) unstable; urgency=medium

  * New upstream release (Closes: #1064455).
    - debian/shotwell.install:
      + Install new shotwell-authenticator.
  * debian/copyright:
    - Add year 2024 to myself.
    - Refresh for the new release.
  * debian/control:
    - Add Build Depend python3-distutils.

 -- Jörg Frings-Fürst <debian@jff.email>  Tue, 05 Mar 2024 12:33:07 +0100

shotwell (0.32.4-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:13:12 +0000

shotwell (0.32.4-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:39:04 +0000

shotwell (0.32.4-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:57:42 +0000

shotwell (0.32.4-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
  * d/replace_thumbnailer.sh, d/shotwell-common.README.Debian,
      d/shotwell.examples, d/shotwell.postrm, d/shotwell.README.Debian:
      + clean out thumbnailer hacks, that's not user friendly and not
        something we should recommend.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Dec 2023 15:13:02 +0100

shotwell (0.32.4-1) unstable; urgency=medium

  * New upstream release.
    - Install new shotwell-video-metadata-handler.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 17 Dec 2023 20:41:04 +0100

shotwell (0.32.3-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
  * d/replace_thumbnailer.sh, d/shotwell-common.README.Debian,
      d/shotwell.examples, d/shotwell.postrm, d/shotwell.README.Debian:
      + clean out thumbnailer hacks, that's not user friendly and not
        something we should recommend.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Nov 2023 15:32:36 +0100

shotwell (0.32.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1050083).

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 22 Nov 2023 17:55:47 +0100

shotwell (0.32.2-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
  * d/replace_thumbnailer.sh, d/shotwell-common.README.Debian,
      d/shotwell.examples, d/shotwell.postrm, d/shotwell.README.Debian:
      + clean out thumbnailer hacks, that's not user friendly and not
        something we should recommend.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Aug 2023 17:10:38 +0200

shotwell (0.32.2-1) unstable; urgency=medium

  * New Upstream release.
  * debian/control:
    - Remove libunity-dev (Closes: #1043205).

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 12 Aug 2023 18:24:49 +0200

shotwell (0.32.1-2ubuntu2) mantic; urgency=medium

  * Rebuild against new libraw23.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 16 Jul 2023 10:08:29 +0200

shotwell (0.32.1-2ubuntu1) mantic; urgency=medium

  * Merge from Debian, remaining changes:
  * d/replace_thumbnailer.sh, d/shotwell-common.README.Debian,
      d/shotwell.examples, d/shotwell.postrm, d/shotwell.README.Debian:
      + clean out thumbnailer hacks, that's not user friendly and not
        something we should recommend.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Jul 2023 15:11:22 -0400

shotwell (0.32.1-2) unstable; urgency=medium

  * debian/rules (Closes: #1039719):
    - Drop unnecessary libexec configure option.
    - Update apport configuration option name.
    - Drop obsolete override_dh_install.
  * Replace Build-Depend gnome-pkg-tools with dh-sequence-gnome:
    - debian/rules:
      + Remove --with gnome.
    - debian/control:
      + Replace gnome-pkg-tools with dh-sequence-gnome.
  * debian/control:
    - Drop the Build-Depends libsoup2.4-dev (Closes: #1039715).
    - Add Depend xdg-desktop-portal-backend (Closes: #1039716).
    - Drop unnecessary Build-Depends versioning.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 09 Jul 2023 18:23:07 +0200

shotwell (0.32.1-1ubuntu2) mantic; urgency=medium

  * debian/rules: Update apport configuration option name

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Jun 2023 11:22:32 -0400

shotwell (0.32.1-1ubuntu1) mantic; urgency=medium

  * Merge from Debian, remaining changes:
  * d/replace_thumbnailer.sh, d/shotwell-common.README.Debian,
      d/shotwell.examples, d/shotwell.postrm, d/shotwell.README.Debian:
      + clean out thumbnailer hacks, that's not user friendly and not
        something we should recommend.
  * Drop obsolete Build-Depends on libsoup2.4-dev (Closes: #1039715)
  * Depend on xdg-desktop-portal-gnome | xdg-desktop-portal-backend for
    "Set as Desktop Background" (Closes: #1039716)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Jun 2023 11:14:18 -0400

shotwell (0.32.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1034018, #1034011, #1034017):
    - debian/rules:
      + Replace unity-support with unity_support.
    - debian/control:
      + Add libportal-gtk3-dev, libwebp-dev, and libsecret-1-dev to Build-Depends.
      + Switch Build-Depends to libwebkit2gtk-4.1-dev.
      + Add bump minimum release of libgexiv2-dev to >= 0.12.0-2~.
    - Thanks to Jeremy Bícha <jeremy.bicha@canonical.com>.
  * debian/control:
    - Change to new repository.
    - Move Build Depend webp-pixbuf-loader to Depends (Closes: #1034010)
      + Thanks to Jeremy Bícha <jeremy.bicha@canonical.com>.
  * debian/copyright:
    - Add year 2023 to myself.
    - Refresh for the new release.
  * Declare compliance with Debian Policy 4.6.2.0 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 16 Jun 2023 13:50:23 +0200

shotwell (0.30.17-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.6.1.0 (No changes needed).
  * Delete not used patches.
  * Cherry-pick patch for Shotwell Viewer to open webp files (Closes: #1018025).
    - New debian/patches/0100-webp.patch.
    - debian/control: Add webp-pixbuf-loader to Build-Depends.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 02 Oct 2022 08:09:21 +0200

shotwell (0.30.16-1) unstable; urgency=medium

  * New upstream release:
    - Remove not longer needed patches:
      + debian/patches/0110-use_relative_lib_path.patch.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 21 May 2022 20:07:27 +0200

shotwell (0.30.15-2) unstable; urgency=medium

  * New debian/patches/0110-use_relative_lib_path.patch:
    - Use relative path for libs (Closes: #1010571).
      Thanks to Neil McGovern <neilm@debian.org>.
  * Remove trailing whitespace from debian/rules.
  * Rename lintian tag non-dev-pkg-with-shlib-symlink to
    link-to-shared-library-in-wrong-package.

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 05 May 2022 18:06:01 +0200

shotwell (0.30.15-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS with vala 0.56.0 (Closes: #1008337).
    - Remove not longer needed patches:
      + debian/patches/0105-gitversion.patch.
  * debian/copyright:
    - Add year 2022 for debian/* to myself.
    - Refresh *.

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 07 Apr 2022 20:22:18 +0200

shotwell (0.30.14-2) unstable; urgency=medium

  * Enable untiy support (Closes: #1000528)
    - debian/control: Add Build-Depends libunity-dev.
    - debian/rules: Add override_dh_auto_configure.
  * debian/rules:
    - enable the apport option on Ubuntu (Closes: #1000529).
  * Declare compliance with Debian Policy 4.6.0.1 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 27 Nov 2021 12:06:45 +0100

shotwell (0.30.14-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.6.0 (No changes needed).
  * debian/copyright:
    - Add year 2021 for debian/* to myself.

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 18 Aug 2021 20:59:02 +0200

shotwell (0.30.11-1) unstable; urgency=medium

  * New upstream release.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 04 Dec 2020 19:22:52 +0100

shotwell (0.30.10-1) unstable; urgency=medium

  * New upstream release.
    - Remove debian/patches/0115-fix_meson_build.patch.
  * debian/shotwell.manpages:
    - Install from debin/tmp to make dh_missing happy.
  * debian/shotwell.install:
    - Install from debin/tmp to make dh_missing happy.
  * debian/control:
    - Switch to debhelper-compat level 13.

 -- Jörg Frings-Fürst <debian@jff.email>  Tue, 26 May 2020 11:50:55 +0200

shotwell (0.30.8-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.5.0 (No changes needed).
  * debian/copyright:
    - Add year 2020 for debian/*.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 11 Apr 2020 12:28:05 +0200

shotwell (0.30.7-2) unstable; urgency=medium

  * debian/control: Remove outdated gnome-doc-utils from Build-Depends
    (Closes: #945141, #945294).
  * Switch to debhelper-compat:
    - debian/control: Replace debhelper with debhelper-compat.
    - Remove debian/compat.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 28 Dec 2019 14:09:00 +0100

shotwell (0.30.7-1) unstable; urgency=medium

  * New upstream release:
    - New debian/patches/0115-fix_meson_build.patch to fix FTBFS.
    - debian/control: Add cmake to Build-Depends.
  * Declare compliance with Debian Policy 4.4.1 (No changes needed).
  * debian/control:
    - Add Rules-Requires-Root: binary-targets.
  * Remove unused patches.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 07 Oct 2019 16:38:02 +0200

shotwell (0.30.5-1) unstable; urgency=medium

  * New upstream release.
    - Remove debian/patches/0110-fix_GoogleAuthenticator.patch.

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 15 Aug 2019 11:29:40 +0200

shotwell (0.30.4-2) unstable; urgency=medium

  * Fix GoogleAuthenticator error handling (Closes: #934723):
    - New debian/patches/0110-fix_GoogleAuthenticator.patch cherry-picked
      from upstream.

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 14 Aug 2019 12:00:37 +0200

shotwell (0.30.4-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.4.0 (No changes needed).
  * Add package-name-doesnt-match-sonames to lintian-overrides.
  * Refresh debian/copyright.
  * Migrate to debhelper 12:
    - Change debian/compat to 12.
    - Change debhelper version in debian/control to >= 12.
  * debian/copyright: Fix typo.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 12 Jul 2019 11:05:56 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog shotwell`.
